Upgrade to PHP 7

A place for general not CMSimple related discussions
cmb
Posts: 12664
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Upgrade to PHP 7

Post by cmb » Fri Feb 10, 2017 1:50 pm

Tata wrote:Ich meine, dass solange für "_sub" die selbe einstellung gibt, damit logisch nur eine PHP-Konfiguratzuion, alle "_sub"-Unterseiten sollten gleich laufen.
display_errors ist eine PHP_INI_ALL Einstellung, d.h. sie kann z.B. auch durch .htaccess manipuliert werden, und letztlich sogar per PHP Code. Im Zweifel kannst Du folgende index.php verwenden:

Code: Select all

<?php

ini_set('display_errors', 0);

if (is_readable('./cmsimple/userprelude.php')) {
    include './cmsimple/userprelude.php';
}
include('./cmsimple/cms.php');
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Tata
Posts: 2717
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Upgrade to PHP 7

Post by Tata » Fri Feb 10, 2017 2:07 pm

Das versuche ich gleich. Mit .htaccess habe ich auf keiner der Seiten manipuliert. Sowieso ist mir nicht klar, wieso ich auf einigen Seiten keine AdminsMenuPunkte nicht verwendean kann, oder sogar das Adminmenu ist tot und liefert nur leere Seite.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

cmb
Posts: 12664
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Upgrade to PHP 7

Post by cmb » Fri Feb 10, 2017 2:12 pm

Tata wrote:Das versuche ich gleich. Mit .htaccess habe ich auf keiner der Seiten manipuliert. Sowieso ist mir nicht klar, wieso ich auf einigen Seiten keine AdminsMenuPunkte nicht verwendean kann, oder sogar das Adminmenu ist tot und liefert nur leere Seite.
Da wird vermutlich nur der Debug-Modus weiterhelfen.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Tata
Posts: 2717
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Upgrade to PHP 7

Post by Tata » Fri Feb 10, 2017 2:16 pm

Die ini-Setting hat geholfen, aber wohl nicht das Problem enfernt. Egal. Schon läuft alles schön.
Vielen Dank.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

mhz
Posts: 534
Joined: Tue Jun 25, 2013 8:46 pm
Location: Heusenstamm, Hessen
Contact:

Re: Upgrade to PHP 7

Post by mhz » Sat Apr 22, 2017 5:59 am

Da ist anscheinend display_errors aktiviert.
Danke für den Hinweis. Ich habe es geändert und
jetzt funktioniert die erste von mir betreute Domain auch mit PHP 7.1
Michael Zajusch (mhz)-- Mein Tutorial für CMSimple_XH. Früher

mhz
Posts: 534
Joined: Tue Jun 25, 2013 8:46 pm
Location: Heusenstamm, Hessen
Contact:

Re: Upgrade to PHP 7

Post by mhz » Sat Apr 22, 2017 12:28 pm

Zusätzlich musste ich zu den Administrator-Einträgen auf dem Webserver (Apache; PHP 7.0 bzw PHP 7.1) noch diesen Ergänzung bei eigene zusätzliche Einträge vornehmen.
[ZEND]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_[php].so

Erst dann verschwand der white-screen und die Fehlermeldung: Gateway 502.

Nun läuft es wie bei Tata, aber die Probleme sind nicht behoben. Ich bin dem Hinweis von cmb gefolgt und habe bei index.php "ini-set ..." ergänzt.
Trotzdem wird im Debug-Modus nun das angezeigt, was für die Programmierer eher interessant sein wird:
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Filebrowser_Controller has a deprecated constructor
/home/www/tutor/plugins/filebrowser/classes/Filebrowser_Controller.php:31
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Filebrowser_View has a deprecated constructor
/home/www/tutor/plugins/filebrowser/classes/Filebrowser_View.php:28
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; XH_Pages has a deprecated constructor
/home/www/tutor/cmsimple/classes/Pages.php:28
WARNING: Missing argument 1 for xtoc(), called in /home/www/tutor/templates/cmsimple-tutorial/template.htm on line 102 and defined
/home/www/tutor/templates/cmsimple-tutorial/xtoc.php:14
WARNING: Missing argument 2 for xtoc(), called in /home/www/tutor/templates/cmsimple-tutorial/template.htm on line 102 and defined
/home/www/tutor/templates/cmsimple-tutorial/xtoc.php:14
Und wenn ich auf Einstellungen klicke, wird die Liste mit DEPRECATED noch länger.
Aber wie bereits gesagt: Es läuft nun!
Michael Zajusch (mhz)-- Mein Tutorial für CMSimple_XH. Früher

cmb
Posts: 12664
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Upgrade to PHP 7

Post by cmb » Sat Apr 22, 2017 12:55 pm

Die DEPRECATED-Meldungen sind ein bekanntes Problem, und wie ich Deinem Post entnehme, gibt es wohl mit dem IonCube-Loader vergleichbare Probleme wie mit OPcache, so dass ich nach wie vor der Meinung bin, das wir das für XH 1.6.10 beheben sollten.

Ich werde wohl sehr bald nach der Freigabe von CMSimple_XH 1.7.0beta1 das Voting für 1.6.10 starten.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Tata
Posts: 2717
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Upgrade to PHP 7

Post by Tata » Sat Apr 22, 2017 2:09 pm

cmb wrote:...so dass ich nach wie vor der Meinung bin, das wir das für XH 1.6.10 beheben sollten.
Ist es noch nötig sich mit 1.6.10 beschäfftigen? Ausser den Meldungen läuft die 1.6.9 ganz gut.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

frase
Posts: 2027
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Upgrade to PHP 7

Post by frase » Sat Apr 22, 2017 2:38 pm

Tata wrote:Ist es noch nötig sich mit 1.6.10 beschäfftigen?
Gibt es Gedankenübertragung? ;-)
Genau diese Frage stellte ich mir, als mir bewusst wurde, dass es noch 1.6.10 geben wird.
[ganz private Meinung - keine Kritik:]
Da wir uns schon so ausführlich mit 1.7 befassen, habe ich gar keine Lust mehr auf 1.6.10 :P

Tata
Posts: 2717
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Upgrade to PHP 7

Post by Tata » Sat Apr 22, 2017 2:47 pm

Ich meine, solle es noch die Zeit genutzt sein, dass wohl lieber um Update von 1.6x zu 1.7 vereinfachen. Die 1.6.6...9 sind sehr schnell nacheinander gekommen, dass es leicht /bersichtsverlust verursachen könnte.
Hier würde ich "dickes Strich" bevorzügen. Es kann auch sein, dass einige auch weiterhin eine der 1.6x nutzen werden, und dann ist auch jede Hilfe im Forum kompliziert. Also bestimmte Plugins Probleme usw.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

Post Reply